Open SCAP Library: oval_syschar_model Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_syschar_model Struct Reference
OVAL » OVALSYS

OVAL System Characteristics model. More...

`#include <oval_system_characteristics.h>`

## Public Member Functions
struct oval_syschar_model * | oval_syschar_model_new (struct oval_definition_model *definition_model)
| Create new oval_syschar_model. More...
int | oval_syschar_model_import_source (struct oval_syschar_model *model, struct oscap_source *source)
| Import the content from the oscap_source into an oval_syschar_model. More...
int | oval_syschar_model_import (struct oval_syschar_model *model, const char *file)
| Import the content from the file into an oval_syschar_model. More...
struct oval_syschar_model * | oval_syschar_model_clone (struct oval_syschar_model *)
| Copy an oval_syschar_model. More...
int | oval_syschar_model_export (struct oval_syschar_model *, const char *file)
| Export system characteristics into file.
void | oval_syschar_model_free (struct oval_syschar_model *model)
| Free memory allocated to a specified syschar model. More...
Setters
int | oval_syschar_model_bind_variable_model (struct oval_syschar_model *, struct oval_variable_model *)
| Bind a variable model to the definitions bound to the syschar model. More...
void | oval_syschar_model_set_sysinfo (struct oval_syschar_model *model, struct oval_sysinfo *sysinfo)
Getters
struct oval_definition_model * | oval_syschar_model_get_definition_model (struct oval_syschar_model *model)
| Return related oval_definition_model from an oval_syschar_model. More...
struct oval_syschar_iterator * | oval_syschar_model_get_syschars (struct oval_syschar_model *model)
| Return an iterator over the oval_sychar objects persisted by this model. More...
struct oval_sysinfo * | oval_syschar_model_get_sysinfo (struct oval_syschar_model *model)
| Return default sysinfo bound to syschar model. More...
struct oval_syschar * | oval_syschar_model_get_syschar (struct oval_syschar_model *model, const char *object_id)
| Return the oval_syschar bound to a specified object_id. More...
int | oval_syschar_model_compute_variable (struct oval_syschar_model *, struct oval_variable *)
| Get the oval_values bound to a specified variable.
struct oval_sysitem * | oval_syschar_model_get_sysitem (struct oval_syschar_model *, const char *)

## Data Fields
struct oval_generator * | generator
struct oval_sysinfo * | sysinfo
struct oval_definition_model * | definition_model
struct oval_smc * | syschar_map
| Represents objects within <collected_objects> element.
struct oval_string_map * | sysitem_map
| Represents items within <system_data> element.
char * | schema

## Detailed Description

OVAL System Characteristics model.

Object model holds OVAL system characteristics structure instances.

The documentation for this struct was generated from the following files:

- oval_sysModel.c
- oval_system_characteristics.h